---
title: 2020 US Presidential Election
url: https://github.com/echen102/us-pres-elections-2020
repository: GitHub
tweets: 965620919
creators:
  - name: Elizabeth Chen
    email: echen920@usc.edu.
  - name: Emilio Ferrara
    email: Emilio Ferrara at emiliofe@usc.edu
dates:
  - start: 2020-03-01T21:58:30.546Z
    end: 2020-12-31T21:58:30.586Z
published: 2021-01-03T21:46:28.755Z
added: 2021-01-03T21:46:28.786Z
subjects:
  - United States
  - Politics
  - Elections
notification: Not to my knowledge. I am uploading this dataset description, but
  am not personally responsible for its creation.
---
The integrity of democratic political discourse is at the core of guaranteeing free and fair elections. With social media often dictating the tones and trends of politics-related discussion, it is of paramount importance to be able to study online chatter, especially in the run up to important voting events, like in the case of the upcoming November 3, 2020 U.S. Presidential Election. Limited access to social media data is often the first barrier to impede, hinder, or slow down progress, and ultimately our understanding of online political discourse.

To mitigate this issue and try to empower the Computational Social Science research community, we decided to publicly release a massive-scale, longitudinal dataset of U.S. politics and election related tweets. This multilingual dataset that we have been collecting for over one year encompasses hundreds of millions of tweets and tracks all salient U.S. politics trends, actors, and events between 2019 and 2020. The dataset predates and spans the whole period of Republican and Democratic primaries, with real-time tracking of all presidential contenders of both sides of the isle. After that, it focuses on presidential and vice-presidential candidates. 

Our dataset release is curated, documented and will be constantly updated on a weekly-basis, until the November 3, 2020 election and beyond. We hope that the academic community, computational journalists, and research practitioners alike will all take advantage of our dataset to study relevant scientific and social issues, including problems like misinformation, information manipulation, interference, and distortion of online political discourse that have been prevalent in the context of recent election events in the United States and worldwide.

See [#Election2020: The First Public Twitter Dataset on the 2020 US Presidential Election](https://arxiv.org/abs/2010.00600) for details about how and why this dataset was assembled. To learn more about its ongoing maintenance consult the projects GitHub page.